Subject: Re: [PATCH (tig)] Supply explicit permission bits to 'install'.

From: Jonas Fonseca <[email-masked]>
Date: Thu, 31 May 2007 21:54:22 +0200

Jeffrey C. Ollie <[email-masked]> wrote Thu, May 31, 2007:
> 'install' will install files with permissions set to '0755' if the
> permissions are not specified on the command line.  Having the execute
> bits set on non-executable content is not desireable.  Specify mode
> 0644 for non-executable content as well as specify mode 0755 for
> executable content (in case the defaults change or are different on
> different systems).  Also tell 'install' to preserve timestamps.

Thank you. I updated the patch to install HTML files with explicit
permissions.

-- 
Jonas Fonseca